Create Clarity Artifact Import Upload URL
curl --request POST \
--url https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/artifact-imports/create-upload-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_name": "<string>",
"extra_capture_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/artifact-imports/create-upload-url"
payload = {
"file_name": "<string>",
"extra_capture_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_name: '<string>',
extra_capture_request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/artifact-imports/create-upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signed_url": "<string>",
"capture_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expires_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}ClarityV2
Create Clarity Artifact Import Upload URL
Create a signed upload URL for importing a Miro export into a Clarity v2 process. Supports SVG, XML, PNG, and JPEG exports. The caller must upload the file to the returned URL, then complete the import.
POST
/
v2
/
clarity-v2
/
processes
/
{process_id}
/
artifact-imports
/
create-upload-url
Create Clarity Artifact Import Upload URL
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The clarity process id
Body
application/json
Name of the Miro export file. Supported extensions: .svg, .xml, .png, .jpg, .jpeg
Minimum string length:
1Pattern:
^.*\.(?:[sS][vV][gG]|[xX][mM][lL]|[pP][nN][gG]|[jJ][pP][eE]?[gG])$MIME type of the Miro export file
Available options:
image/svg+xml, application/xml, text/xml, image/png, image/jpeg Optional extra-capture-request id to bind this import to
Was this page helpful?